### File

`packages/eui/packages/components-next/src/lib/components/eui-timepicker/eui-timepicker.component.ts`

### Implements

`ControlValueAccessor`

### Metadata

providers | `EUI_TIMEPICKER_ACCESSOR`
selector | `eui-timepicker`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-timepicker.component.html`

### Index

###### Properties
_hasSeconds _isreadOnly callbackFn hours isDatetimepicker mins propagatedValues secs
###### Methods
changeHour changeMinutes changeSeconds formatHour formatMins formatSecs isNumber padNumber registerOnChange registerOnTouched restrictHoursLength restrictMinsLength restrictSecsLength toInteger updateHour updateMinutes updateSeconds writeValue
###### Inputs
hasSeconds isreadOnly
###### Accessors
isreadOnly hasSeconds

### Constructor

`constructor(config: literal type)`
Parameters :
Name | Type | Optional
config | `literal type` | No

### Inputs

hasSeconds

isreadOnly

### Methods

changeHour
`changeHour(step: number)`
Parameters :
Name | Type | Optional
step | `number` | No
Returns : `void`

changeMinutes
`changeMinutes(step: number)`
Parameters :
Name | Type | Optional
step | `number` | No
Returns : `void`

changeSeconds
`changeSeconds(step: number)`
Parameters :
Name | Type | Optional
step | `number` | No
Returns : `void`

formatHour
`formatHour(value: number)`
Parameters :
Name | Type | Optional
value | `number` | No
Returns : `any`

formatMins
`formatMins(value: number)`
Parameters :
Name | Type | Optional
value | `number` | No
Returns : `any`

formatSecs
`formatSecs(value: number)`
Parameters :
Name | Type | Optional
value | `number` | No
Returns : `any`

isNumber
`isNumber(value: any)`
Parameters :
Name | Type | Optional
value | `any` | No
Returns : `number`

padNumber
`padNumber(value: number)`
Parameters :
Name | Type | Optional
value | `number` | No
Returns : `any`

registerOnChange
`registerOnChange(fn: any)`
Parameters :
Name | Type | Optional
fn | `any` | No
Returns : `void`

registerOnTouched
`registerOnTouched(fn: any)`
Parameters :
Name | Type | Optional
fn | `any` | No
Returns : `void`

restrictHoursLength
`restrictHoursLength(inputref: HTMLInputElement)`
Parameters :
Name | Type | Optional
inputref | `HTMLInputElement` | No
Returns : `boolean`

restrictMinsLength
`restrictMinsLength(inputref: HTMLInputElement)`
Parameters :
Name | Type | Optional
inputref | `HTMLInputElement` | No
Returns : `boolean`

restrictSecsLength
`restrictSecsLength(inputref: HTMLInputElement)`
Parameters :
Name | Type | Optional
inputref | `HTMLInputElement` | No
Returns : `boolean`

toInteger
`toInteger(value: any)`
Parameters :
Name | Type | Optional
value | `any` | No
Returns : `number`

updateHour
`updateHour(newVal: string)`
Parameters :
Name | Type | Optional
newVal | `string` | No
Returns : `void`

updateMinutes
`updateMinutes(newVal: string)`
Parameters :
Name | Type | Optional
newVal | `string` | No
Returns : `void`

updateSeconds
`updateSeconds(newVal: string)`
Parameters :
Name | Type | Optional
newVal | `string` | No
Returns : `void`

writeValue
`writeValue(values: EuiTimePicker)`
Parameters :
Name | Type | Optional
values | `EuiTimePicker` | No
Returns : `void`

### Properties

_hasSeconds
Default value : `false`

_isreadOnly
Default value : `false`

callbackFn
Type : `function`
Default value : `() => {...}`

hours
Type : `number`

isDatetimepicker
Type : `boolean`

mins
Type : `number`

propagatedValues
Type : `EuiTimePicker`
Default value : `{ hours: null, mins: null, secs: this.hasSeconds ? null : undefined }`

secs
Type : `number`

### Accessors

isreadOnly
set `isreadOnly(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

hasSeconds
set `hasSeconds(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

# result-matching ""

# No results matching ""